Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class PICF

    java.lang.Object
      org.apache.poi.hwpf.model.types.PICFAbstractType
          org.apache.poi.hwpf.model.PICF

    public class PICF

extends PICFAbstractType

The PICF structure specifies the type of a picture, as well as the size of the picture and information about its border.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

Author:
  Sergey Vladimirov (vlsergey {at} gmail {dot} com)

Constructor Summary
`PICF()`
`PICF(byte[] std, int offset)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`

Methods inherited from class org.apache.poi.hwpf.model.types.PICFAbstractType
`getBpp, getBrcBottom80, getBrcLeft80, getBrcRight80, getBrcTop80, getCbHeader, getCProps, getDxaGoal, getDxaReserved1, getDxaReserved2, getDxaReserved3, getDyaGoal, getDyaReserved1, getDyaReserved2, getDyaReserved3, getFReserved, getGrf, getLcb, getMm, getMmPM, getMx, getMy, getPadding, getPadding2, getSize, getSwHMF, getXExt, getYExt, serialize, serialize, setBpp, setBrcBottom80, setBrcLeft80, setBrcRight80, setBrcTop80, setCbHeader, setCProps, setDxaGoal, setDxaReserved1, setDxaReserved2, setDxaReserved3, setDyaGoal, setDyaReserved1, setDyaReserved2, setDyaReserved3, setFReserved, setGrf, setLcb, setMm, setMmPM, setMx, setMy, setPadding, setPadding2, setSwHMF, setXExt, setYExt, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PICF

    public PICF()

### PICF

    public PICF(byte[] std,
                int offset)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD